{
    attributes = (
        {
            columnName = "DATE_DEBUT_CONTRAT"; 
            externalType = DATE; 
            name = dateDebutContrat; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DATE_FIN_CONTRAT"; 
            externalType = DATE; 
            name = dateFinContrat; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {allowsNull = N; columnName = "ID_RSD"; name = idRsd; prototypeName = id; }, 
        {
            columnName = "ID_SITUATION_DOCTEUR"; 
            externalType = NUMBER; 
            name = idSituationDocteur; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_THESE"; 
            externalType = NUMBER; 
            name = idThese; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PERS_ID_CREATION"; 
            externalType = NUMBER; 
            name = persIdCreation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PERS_ID_MODIFICATION"; 
            externalType = NUMBER; 
            name = persIdModification; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (idRsd); 
    className = "org.cocktail.fwkcktlrecherche.server.metier.EORepartSituationDocteur"; 
    classProperties = (
        dateDebutContrat, 
        dateFinContrat, 
        dCreation, 
        dModification, 
        persIdCreation, 
        persIdModification, 
        toDoctorantThese, 
        toSituationDocteur
    ); 
    externalName = "RECHERCHE.REPART_SITUATION_DOCTEUR"; 
    fetchSpecificationDictionary = {}; 
    name = RepartSituationDocteur; 
    primaryKeyAttributes = (idRsd); 
    relationships = (
        {
            destination = DoctorantThese; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idThese; sourceAttribute = idThese; }); 
            name = toDoctorantThese; 
        }, 
        {
            destination = SituationDocteur; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {
                    destinationAttribute = idSituationDocteur; 
                    sourceAttribute = idSituationDocteur; 
                }
            ); 
            name = toSituationDocteur; 
        }
    ); 
}
